% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/raer.R
\docType{package}
\name{raer}
\alias{raer-package}
\alias{raer}
\title{raer: RNA editing tools in R}
\description{
\if{html}{\figure{logo.png}{options: style='float: right' alt='logo' width='120'}}

Toolkit for identification and statistical testing of RNA editing signals from within R. Provides support for identifying sites from bulk-RNA and single cell RNA-seq datasets, and general methods for extraction of allelic read counts from alignment files. Facilitates annotation and exploratory analysis of editing signals using Bioconductor packages and resources.
}
\seealso{
Useful links:
\itemize{
  \item \url{https://rnabioco.github.io/raer}
  \item \url{https://github.com/rnabioco/raer}
  \item Report bugs at \url{https://github.com/rnabioco/raer/issues}
}

}
\author{
\strong{Maintainer}: Kent Riemondy \email{kent.riemondy@gmail.com} (\href{https://orcid.org/0000-0003-0750-1273}{ORCID})

Authors:
\itemize{
  \item Kristen Wells-Wrasman \email{kristen.wells-wrasman@cuanschutz.edu} (\href{https://orcid.org/0000-0002-7466-8164}{ORCID})
}

Other contributors:
\itemize{
  \item Ryan Sheridan \email{ryan.sheridan@cuanschutz.edu} (\href{https://orcid.org/0000-0003-4012-3147}{ORCID}) [contributor]
  \item Jay Hesselberth \email{jay.hesselberth@gmail.com} (\href{https://orcid.org/0000-0002-6299-179X}{ORCID}) [contributor]
  \item RNA Bioscience Initiative [copyright holder, funder]
}

}
\keyword{internal}
